package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 页面类型(1.首页,2.产品详情,3.文章详情)枚举类
*
* @author zxfei
*/
public enum PageTypeEnum {
    首页(1, "首页"),
    产品详情(2, "产品详情"),
    文章详情(3, "文章详情");
    private Integer value;
    private String desc;

    PageTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PageTypeEnum getByValue(Integer value) {
        for (PageTypeEnum pageTypeEnum : PageTypeEnum.values()) {
            if (pageTypeEnum.getValue() == value) {
                return pageTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PageTypeEnum item : PageTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}